<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Statistiky\Entities\Zaznam\Enums;

/**
 * Enum HodnotenieEmisnejKontrolyEnum
 *
 * @package Seka\Portal\Modul\Statistiky\Entities\Zaznam\Enums
 */
enum HodnotenieEmisnejKontrolyEnum: string
{
    case SPOSOBILE = 'SPOSOBILE';
    case NEHODNOTENE = 'NEHODNOTENE';
    case NESPOSOBILE = 'NESPOSOBILE';
    case DOCASNE_SPOSOBILE = 'DOCASNE_SPOSOBILE';

    /**
     * @return string
     */
    public function label(): string
    {
        return match ($this) {
            self::SPOSOBILE => 'Spôsobilé',
            self::NEHODNOTENE => 'Nehodnotené',
            self::NESPOSOBILE => 'Nespôsobilé',
            self::DOCASNE_SPOSOBILE => 'Dočasne spôsobilé',
        };
    }

    /**
     * @param \Seka\Portal\Modul\Statistiky\Entities\Zaznam\Enums\HodnotenieEmisnejKontrolyEnum $other
     *
     * @return bool
     */
    public function equal(self $other): bool
    {
        return $this === $other;
    }
}
